#define MAX_FL 100000

/*+ This is the NGram Vector for the first file +*/
static int* ngram1;

/*+ This is the NGram Vector for the second file +*/
static int* ngram2;


/*++++++++++++++++++++++++++++++++++++++
  This function actually builds up the
  NGram-Vectors. It allocates memory for
  the vectors.

  char* fn1 null-terminated string to the first file

  char* fn2 null-terminated string to the second file

  int n the 'n' in NGram ;-) Defines the length of the
    sliding window
  ++++++++++++++++++++++++++++++++++++++*/

void buildNgram(char* fn1,char* fn2,int n);


/*++++++++++++++++++++++++++++++++++++++
  This function compares two NGram Vectors using Eukildian Distances.
  What it does, it normalizes both NGram-vectors, subtracts them
  and get the Euklidian Norm of the resultung vector.

  double EuklidDist The distance

  int n The n in NGram

  int* ngram1 First NGram-vector

  int* ngram2 Second NGram-vector
  ++++++++++++++++++++++++++++++++++++++*/

double EuklidDist(int n,int* ngram1,int* ngram2);
